Subject: [SAM] Multicast Proxy Release

From: Sebastian Wölke <[email-masked]>
Date: Fri, 23 Mar 2012 16:24:57 +0100

Hi all,

I want to announce our IGMP/MLD proxy implementation named mcproxy. It is
implemented in C++ and conforms to RFC 4605. Mcproxy runs on Linux with
Kernel version > 2.6.36.

Its core features are:

    - support of IGMPv2/MLDv1; IGMPv3/MLDv2 support coming soon
    - multiple proxy instances per host: needed for PMIPv6 (RFC6224)
    - dynamic configuration: add/del downstream interfaces at runtime
    - high performance and throughput: operates on Linux Kernel tables

The latest beta version and further documentation of the mcproxy prototype
are available at http://mcproxy.realmv6.org/

Any questions and feedback are very welcome.

Regards,
  Sebastian